#

Function COPY-STRUCTURE

Syntax:

copy-structure structure => copy

Arguments and Values:

structure---a structure.

copy---a copy of the structure.

Description:

Returns a copy[6] of the structure.

Only the structure itself is copied; not the values of the slots.

Examples: None.

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also:

the `:copier` option to defstruct

Notes:

The copy is the same as the given structure under equalp, but not under equal.

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- DEFSTRUCT-COPIER:ARGUMENT-TYPE

Copyright 1996-2005, LispWorks Ltd. All rights reserved.